<%
/*
 *----------------------------------------------------------------------
 * Licensed Materials - Property of IBM
 *
 * 5724-A18
 *
 * (c) Copyright International Business Machines Corporation. 2003,2004
 *     All rights reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 *
 *----------------------------------------------------------------------
 */

//*---------------------------------------------------------------------
//* The sample contained herein is provided to you "AS IS".
//*
//* It is furnished by IBM as a simple example and has not been  
//* thoroughly tested under all conditions.  IBM, therefore, cannot
//* guarantee its reliability, serviceability or functionality.  
//*
//* This sample may include the names of individuals, companies, brands 
//* and products in order to illustrate concepts as completely as 
//* possible.  All of these names are fictitious and any similarity
//* to the names and addresses used by actual persons or business
//* enterprises is entirely coincidental.
//*---------------------------------------------------------------------
//*
%><%@ page import="javax.servlet.*,java.util.*,com.ibm.commerce.command.*,com.ibm.commerce.server.*,com.ibm.commerce.beans.*,com.ibm.commerce.user.beans.*,com.ibm.commerce.user.objects.*,com.ibm.commerce.datatype.*,com.ibm.commerce.usermanagement.commands.ECUserConstants"%><%
   try {


	response.setContentType("text/xml;charset=UTF-8");
	JSPHelper jsphelper = new JSPHelper(request);
	

		java.util.Enumeration enum = request.getParameterNames();
		while (enum.hasMoreElements())
		{
			String varname = (String) enum.nextElement();

		}	


	String tabString = "";

	String strAdminLogonId = jsphelper.getParameter(ECUserConstants.EC_MEMBERID);
	String strAdminPassword=null;
		
	String custId = jsphelper.getParameter("CustomerId");

	/* Get RegistrationInfo (LogonInfo) */

	String strLogonId= jsphelper.getParameter(ECUserConstants.EC_UREG_LOGONID);
	String strPassword= jsphelper.getParameter(ECUserConstants.EC_UREG_LOGONPASSWORD);
	String strVerifyPassword= jsphelper.getParameter(ECUserConstants.EC_UREG_LOGONPASSWORDVERIFY);
	
	/* Get RegistrationInfo (StatusInfo) */
	
	String strCustomerStatus= jsphelper.getParameter(ECUserConstants.EC_UREG_USERSTATUS);
	String strPasswordExpired= jsphelper.getParameter(ECUserConstants.EC_UREG_PASSWORDEXPIRED);
	
	/* Get RegistrationInfo (Challenge) */
	String strQuestion= jsphelper.getParameter(ECUserConstants.EC_UREG_CHALLENGEQUESTION);
	String strAnswer= jsphelper.getParameter(ECUserConstants.EC_UREG_CHALLENGEANSWER);
	
	/* Get AddressInfo */
	
	String strAddrNickName= jsphelper.getParameter(ECUserConstants.EC_ADDR_NICKNAME);
	String strAddrType= jsphelper.getParameter(ECUserConstants.EC_ADDR_ADDRESSTYPE);
	
	/* Get AddressInfo(PersonName) */
	
	String strTitle= jsphelper.getParameter(ECUserConstants.EC_ADDR_PERSONTITLE);
	String strFirstName= jsphelper.getParameter(ECUserConstants.EC_ADDR_FIRSTNAME);
	String strMiddleName= jsphelper.getParameter(ECUserConstants.EC_ADDR_MIDDLENAME);
	String strLastName= jsphelper.getParameter(ECUserConstants.EC_ADDR_LASTNAME);
	
	/* Get AddressInfo(Address) */
	
	String strAddressLine1 = jsphelper.getParameter(ECUserConstants.EC_ADDR_ADDRESS1);
	String strAddressLine2 = jsphelper.getParameter(ECUserConstants.EC_ADDR_ADDRESS2);
	String strCity = jsphelper.getParameter(ECUserConstants.EC_ADDR_CITY);
	String strState = jsphelper.getParameter(ECUserConstants.EC_ADDR_STATE);
	String strZipCode = jsphelper.getParameter(ECUserConstants.EC_ADDR_ZIPCODE);
	String strCountry = jsphelper.getParameter(ECUserConstants.EC_ADDR_COUNTRY);


	/* Get AddressInfo(Contact) */
	String strPhone1= jsphelper.getParameter(ECUserConstants.EC_ADDR_PHONE1);
	String strPhone2= jsphelper.getParameter(ECUserConstants.EC_ADDR_PHONE2);
	String strBestCalingTime= jsphelper.getParameter(ECUserConstants.EC_ADDR_BESTCALLINGTIME);

	String strFax1= jsphelper.getParameter(ECUserConstants.EC_ADDR_FAX1);
	String strFax2= jsphelper.getParameter(ECUserConstants.EC_ADDR_FAX2);
	
	String strEmail1= jsphelper.getParameter(ECUserConstants.EC_ADDR_EMAIL1);
	String strEmail2= jsphelper.getParameter(ECUserConstants.EC_ADDR_EMAIL2);
	
	
	
	
	/* Get Profile (Personal)*/
	
	String strProfType= jsphelper.getParameter(ECUserConstants.EC_USER_PROFILETYPE);
	String strDistinName= jsphelper.getParameter(ECUserConstants.EC_USER_DISTINGUISHEDNAME);
	String strPrefCur= jsphelper.getParameter(ECUserConstants.EC_USER_PREFERREDCURRENCY);
	String strPrefLan= jsphelper.getParameter(ECUserConstants.EC_USER_PREFERREDLANGUAGE);
	String strDisplayName= jsphelper.getParameter(ECUserConstants.EC_USER_DISPLAYNAME);
	String strPrefMeasure= jsphelper.getParameter(ECUserConstants.EC_UPROF_PREFERREDMEASURE);
	String strPrefCommunication= jsphelper.getParameter(ECUserConstants.EC_UPROF_PREFERREDCOMMUNICATION);
	String strPrefDelivery= jsphelper.getParameter(ECUserConstants.EC_UPROF_PREFERREDDELIVERY);
	String strDescription= jsphelper.getParameter(ECUserConstants.EC_UPROF_DESCRIPTION);

	/* Get Profile (Business) --Organization Details */
	// Please refer to WCOnline Doc -- Search for Create_WCS_Customer message

	String strOrganizationId= jsphelper.getParameter(ECUserConstants.EC_BPROF_ORGANIZATIONID);
	String strOrganizationName= jsphelper.getParameter(ECUserConstants.EC_ADDR_ORGANIZATIONNAME);
	String strOrganizationUnitId= jsphelper.getParameter(ECUserConstants.EC_BPROF_ORGANIZATIONUNITID);
	String strOrganizationUnitName= jsphelper.getParameter(ECUserConstants.EC_ADDR_ORGANIZATIONUNITNAME);
	
	/* Get Profile Demographics */
	
	String strAge= jsphelper.getParameter(ECUserConstants.EC_DEMO_AGE);
	String strGender= jsphelper.getParameter(ECUserConstants.EC_DEMO_GENDER);
	String strIncome= jsphelper.getParameter(ECUserConstants.EC_DEMO_INCOME);
	String strMaritalStatus= jsphelper.getParameter(ECUserConstants.EC_DEMO_MARITALSTATUS);
	String strCompName= jsphelper.getParameter(ECUserConstants.EC_DEMO_COMPANYNAME);
	

	/* Get UserData  */
	
	String userField1  = jsphelper.getParameter(ECUserConstants.EC_USER_FIELD1);
	String userField2  = jsphelper.getParameter(ECUserConstants.EC_USER_FIELD2);
	String userField3  = jsphelper.getParameter(ECUserConstants.EC_USER_FIELD3);

	


   
        // Generate Inventory Request Message Header Information
        out.println("<?xml version=\"1.0\" encoding=\"UTF-8\"?>");
        out.println("<!DOCTYPE Create_WCS_Customer SYSTEM \"Create_WCS_Customer_20.dtd\">");
        out.println("<Create_WCS_Customer>");
        
        out.println(tabString + "<ControlArea>");
        out.println(tabString + tabString + "<Verb value=\"Create\"> </Verb>");
        out.println(tabString + tabString + "<Noun value=\"Create_WCS_Customer\"> </Noun>");
        out.println(tabString + tabString + "<Credentials><LogonId>"+strAdminLogonId+"</LogonId>");
        out.println(tabString+tabString+"<Password>"+strAdminPassword+"</Password></Credentials>");
        out.println(tabString + "</ControlArea>");
        
        // Generate Orgnaization Message DataArea information
               
        out.println(tabString + "<DataArea>");
        
        /* Set RegistrationInfo (LogonInfo) */
        
        out.println(tabString +"<Customer><Registration><LogonInfo><LogonID>"+strLogonId+"</LogonID>");
        out.println(tabString+"<Password>"+strPassword+"</Password>");
        out.println(tabString+"<VerifyPassword>"+strVerifyPassword+"</VerifyPassword></LogonInfo>");
        
        /* Set RegistrationInfo (StatusInfo) */
        
	out.println(tabString+"<StatusInfo><CustomerStatus></CustomerStatus>");
	out.println(tabString+"<PasswordExpired value=\""+strPasswordExpired+"\"/>");
	out.println(tabString+"</StatusInfo></Registration>");
	
	/* Set AddressInfo */
	
	out.println(tabString+"<AddressInfo>");
	out.println(tabString+"<AddressNickName>"+strAddrNickName+"</AddressNickName>");
	out.println(tabString+"<AddressType>"+strAddrType+"</AddressType><PersonName>");
	
	/* Set AddressInfo(PersonName) */
	
	out.println(tabString+"<Title>"+strTitle+"</Title><LastName>"+strLastName+"</LastName>");
	out.println(tabString+"<FirstName>"+strFirstName+"</FirstName></PersonName>");
	
	
	/* Set AddressInfo(Address) */
	
	out.println(tabString+"<Address><AddressLine>"+ strAddressLine1+","+strAddressLine2+"</AddressLine><City>"+strCity+"</City>");
	out.println(tabString+"<State>"+strState+"</State><ZipCode>"+strZipCode+"</ZipCode>");
	out.println(tabString+"<Country>"+strCountry+"</Country><AddrLine>"+strAddressLine1+","+strAddressLine2+"</AddrLine></Address>");

	/* Set AddressInfo(Contact) */

	out.println(tabString+"<ContactInfo>");
	out.println(tabString+"<Telephone>"+strPhone1+"</Telephone>");
	out.println(tabString+"<Fax>"+strFax1+"</Fax>");
	out.println(tabString+"<Email>"+strEmail1+"</Email>");
	out.println(tabString+"<PhoneNumber>"+strPhone1+"</PhoneNumber>");
	out.println(tabString+"<FaxNumber>"+strFax1+"</FaxNumber>");
	out.println(tabString+"<EmailAddr>"+strEmail1+"</EmailAddr>");	
	out.println(tabString+"</ContactInfo></AddressInfo>");
	
	
	/* Get Profile (Personal)*/
	
	out.println(tabString+"<Profile type=\""+strProfType+"\">");
	out.println(tabString+"<Personal>");
	out.println(tabString+"<DistinguishedName>"+strDistinName+"</DistinguishedName>");
	out.println(tabString+"<PreferredCurrency></PreferredCurrency>");
	out.println(tabString+"<PreferredLanguage>"+strPrefLan+"</PreferredLanguage>");
	out.println(tabString+"<DisplayName>"+strDisplayName+"</DisplayName>");
	out.println(tabString+"<PreferredMeasure>"+strPrefMeasure+"</PreferredMeasure>");
	out.println(tabString+"<PreferredCommunication>"+strPrefCommunication+"</PreferredCommunication>");
	out.println(tabString+"<PreferredDelivery>"+strPrefDelivery+"</PreferredDelivery>");
	out.println(tabString+"<Description>"+strDescription+"</Description>");
	out.println(tabString+"</Personal>");
	
	
	
	/* Set Profile (Business) --Organization Details*/
	
	out.println(tabString+"<Business>");
	out.println(tabString+tabString+"<Organization>");
	out.println(tabString+tabString+"<OrganizationId>"+strOrganizationId+"</OrganizationId>");
	out.println(tabString+tabString+"<OrganizationName>"+strOrganizationName+"</OrganizationName>");
	out.println(tabString+tabString+"<OrganizationUnitId>"+strOrganizationUnitId+"</OrganizationUnitId>");
	out.println(tabString+tabString+"<OrganizationUnitName>"+strOrganizationUnitName+"</OrganizationUnitName>");
	out.println(tabString+tabString+"</Organization>");
	out.println(tabString+"</Business>");
	
	
	/* Set Profile Demographics */
	
	out.println(tabString+"<Demographics>");
	out.println(tabString+"<Age>"+strAge+"</Age>");
	out.println(tabString+"<Gender>"+strGender+"</Gender>");
	out.println(tabString+"<Income>"+strIncome+"</Income>");	
	out.println(tabString+"<MaritalStatus>"+strMaritalStatus+"</MaritalStatus>");		
	out.println(tabString+"<CompanyName>"+strCompName+"</CompanyName>");
	out.println(tabString+"</Demographics>");
	
	
	out.println(tabString+"</Profile>");
	
	
	
	/* UserData*/
	out.println(tabString+"<UserData>");
	out.println(tabString+"<UserDataField name=\"userField1\">"+userField1+"</UserDataField>");
	out.println(tabString+"</UserData>");

	
	out.println(tabString+"</Customer></DataArea></Create_WCS_Customer>");
	
 } catch (Exception e) {
        out.println("Customer Create Exception => " + e);
   };
%>
