echo ###################################################################################
echo #This batch file does the transformation of a XML file format to WC massloadable  #
echo #XML and uploads the same onto the WebSphere Commerce		               #
echo #Steps to follow:                                                       	       #
echo #Step 1:Run ProductUpload.bat                                                     #
echo ###################################################################################

REM MODIFY THE BELOW CONFIGURATION ACCORDINGLY


setlocal


call D:\Websphere\CommerceServer56\bin\setenv.bat
set DB2_HOME=D:\Websphere\sqllib

set loaderdir=%WCS_HOME%\lib\loader
set libdir=%WCS_HOME%\lib
set configdir=%WCS_HOME%\xml\loader
set sqllibDir=%DB2_HOME%\java


set classpath=%classpath%;.;%configdir%
set classpath=%classpath%;%loaderdir%\WCALogger.zip
set classpath=%classpath%;%libdir%\jlog.jar
set classpath=%classpath%;%loaderdir%\Logger.zip
set classpath=%classpath%;%loaderdir%\jgl2.0.0.jar
set classpath=%classpath%;%loaderdir%\wcmxmlp.jar
set classpath=%classpath%;%loaderdir%\wcmxslt.jar
set classpath=%classpath%;%loaderdir%\WCMCommon.zip
set classpath=%classpath%;%loaderdir%\XMLTransformer.zip
set classpath=%classpath%;%loaderdir%\IdResGen.zip;
set classpath=%classpath%;%sqllibDir%\db2java.zip;
set classpath=%classpath%;%sqllibDir%\runtime.zip;
set classpath=%classpath%;%loaderdir%\MassLoader.zip;
set classpath=%classpath%;%WAS_HOME%\lib\xalan.jar
set classpath=%classpath%;%WAS_HOME%\lib\j2ee.jar
set classpath=%classpath%;%WAS_HOME%\lib\xerces.jar
set classpath=%classpath%;%WCS_HOME%\wcmadmin\TextTransformerUI.zip
set classpath=%classpath%;%loaderdir%\SAFServ.zip


set DB_NAME=DB2
set WCS_DBNAME=mall
set WCS_DBUSER=rajesh
set WCS_DBPWD=ondemand
set ID_PROPERTIES_File=IDKEYS.properties

set MemberIdValue=7000000000000000002
set TradingPositionName=AdvB2BDirect
set CatalogName=AdvB2BDirect
set ImportLocation=D:\WebSphere\CommerceServer56\schema\xml\wcs.dtd
set StoreIdentifier=10001
set FullFillmentCenterName="AdvB2BDirect Home"

if "%DB_NAME%"=="db2" goto runDB2SQL

:runDB2SQL

set classpath=%classpath%;%loaderdir%\db2\dbconnect.zip;

db2 connect to %WCS_DBNAME% user %WCS_DBUSER% using %WCS_DBPWD%


%JAVA_HOME%\bin\java com.ibm.wca.XMLTransformer.XMLTransformer -infile Test.xml -transform SiebelMaterial.xsl -outfile WCSInputFromSiebel.xml -param MemberIdentifier=%MemberIdValue% -param TradingPositionName=%TradingPositionName% -param CatalogName=%CatalogName% -param ImportLocation=%ImportLocation% -param FullFillmentCenterName=%FullFillmentCenterName%  -param StoreIdentifier=%StoreIdentifier% 

%JAVA_HOME%\bin\java com.ibm.wca.IdResGen.IdResolve -dbname %WCS_DBNAME% -dbuser %WCS_DBUSER% -dbpwd %WCS_DBPWD% -infile WCSInputFromSiebel.xml -outfile SiebelWCSIDResOut.xml -method mixed -propfile %ID_PROPERTIES_File%

%JAVA_HOME%\bin\java com.ibm.wca.MassLoader.MassLoad -dbname %WCS_DBNAME% -dbuser %WCS_DBUSER% -dbpwd %WCS_DBPWD% -infile SiebelWCSIDResOut.xml -method sqlimport -customizer MassLoadCustomizer.properties
