<%
/*
 *----------------------------------------------------------------------
 * Licensed Materials - Property of IBM
 *
 * 5724-A18
 *
 * (c) Copyright International Business Machines Corporation. 2003,2004
 *     All rights reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 *
 *----------------------------------------------------------------------
 */

//*---------------------------------------------------------------------
//* The sample contained herein is provided to you "AS IS".
//*
//* It is furnished by IBM as a simple example and has not been  
//* thoroughly tested under all conditions.  IBM, therefore, cannot
//* guarantee its reliability, serviceability or functionality.  
//*
//* This sample may include the names of individuals, companies, brands 
//* and products in order to illustrate concepts as completely as 
//* possible.  All of these names are fictitious and any similarity
//* to the names and addresses used by actual persons or business
//* enterprises is entirely coincidental.
//*---------------------------------------------------------------------
//*
%><%@ page import="javax.servlet.*,java.util.*,com.ibm.commerce.command.*,com.ibm.commerce.server.*,com.ibm.commerce.beans.*,com.ibm.commerce.user.beans.*,com.ibm.commerce.user.objects.*,com.ibm.commerce.datatype.*,com.ibm.commerce.usermanagement.commands.ECUserConstants"%><%
   try {


	response.setContentType("text/xml;charset=UTF-8");
	JSPHelper jsphelper = new JSPHelper(request);


	java.util.Enumeration enum = request.getParameterNames();
	while (enum.hasMoreElements())
	{
		String varname = (String) enum.nextElement();

	}	


	String tabString = "";

	String strAdminLogonId = jsphelper.getParameter(ECUserConstants.EC_MEMBERID);
	String strAdminPassword=null;

	/* Get OrganizationInfo */
		
	String orgEntityName = jsphelper.getParameter(ECUserConstants.EC_ORG_ORGENTITYNAME);
	String orgEntityType = jsphelper.getParameter(ECUserConstants.EC_ORG_ORGENTITYTYPE);
	String orgEntityId = jsphelper.getParameter(ECUserConstants.EC_ORG_ORGENTITYID);
	String parentId = jsphelper.getParameter(ECUserConstants.EC_ORG_MEMBERID); //deprecated field, available for backward compatibility
	String legalId = jsphelper.getParameter(ECUserConstants.EC_ORG_LEGALID);
	String taxPayerId = jsphelper.getParameter(ECUserConstants.EC_ORG_TAXPAYERID);
	
	/* Get AdministratorInfo */

	String administratorFirstName = jsphelper.getParameter(ECUserConstants.EC_ORG_ADMINFIRSTNAME);
	String administratorMiddleName = jsphelper.getParameter(ECUserConstants.EC_ORG_ADMINMIDDLENAME);
	String administratorLastName = jsphelper.getParameter(ECUserConstants.EC_ORG_ADMINLASTNAME);	

	/* Get BusinessInfo */

	String businessCategory = jsphelper.getParameter(ECUserConstants.EC_ORG_BUSINESSCATEGORY);
	String dn = jsphelper.getParameter(ECUserConstants.EC_ORG_DISTINGUISHEDNAME);
	String description = jsphelper.getParameter(ECUserConstants.EC_ORG_DESCRIPTION);

	/* Get AddressInfo */

	String addressLine1 = jsphelper.getParameter(ECUserConstants.EC_ADDR_ADDRESS1);
	String addressLine2 = jsphelper.getParameter(ECUserConstants.EC_ADDR_ADDRESS2);
	String city = jsphelper.getParameter(ECUserConstants.EC_ADDR_CITY);
	String state = jsphelper.getParameter(ECUserConstants.EC_ADDR_STATE);
	String zipCode = jsphelper.getParameter(ECUserConstants.EC_ADDR_ZIPCODE);
	String country = jsphelper.getParameter(ECUserConstants.EC_ADDR_COUNTRY);

	/* Get ContactInfo */

	String telephone  = jsphelper.getParameter(ECUserConstants.EC_ADDR_PHONE1);
	String fax = jsphelper.getParameter(ECUserConstants.EC_ADDR_FAX1);
	String email = jsphelper.getParameter(ECUserConstants.EC_ADDR_EMAIL1);
	

	/* Get UserData  */

	String orgEntityField1  = jsphelper.getParameter(ECUserConstants.EC_ORG_FIELD1);
	String orgEntityField2  = jsphelper.getParameter(ECUserConstants.EC_ORG_FIELD2);
	String orgEntityField3  = jsphelper.getParameter(ECUserConstants.EC_ORG_FIELD3);

   
        // Generate Organization Message Header Information
	
        out.println("<?xml version=\"1.0\" encoding=\"UTF-8\"?>");
        out.println("<!DOCTYPE Create_WCS_Organization SYSTEM \"Create_WCS_Organization_20.dtd\">");
        out.println("<Create_WCS_Organization>");

        out.println(tabString + "<ControlArea>");
        out.println(tabString + tabString + "<Verb value=\"Create\"> </Verb>");
        out.println(tabString + tabString + "<Noun value=\"Create_WCS_Organization\"> </Noun>");
        out.println(tabString + tabString + "<Credentials><LogonId>"+strAdminLogonId+"</LogonId>");
        out.println(tabString+tabString+"<Password>"+strAdminPassword+"</Password></Credentials>");
        out.println(tabString + "</ControlArea>");

	// Generate Orgnaization Message DataArea information

        out.println(tabString + "<DataArea>");
	
	/* OrganizationInfo */

        out.println(tabString+"<Organization><OrganizationInfo><OrganizationName>"+orgEntityName+"</OrganizationName>");
        out.println(tabString+"<Type>"+orgEntityType+"</Type>");
        out.println(tabString+"<Identification>"+orgEntityId+"</Identification>");
        out.println(tabString+"<ParentMemberId>"+parentId+"</ParentMemberId>");
        out.println(tabString+"<TaxPayerId>"+taxPayerId+"</TaxPayerId>");
        out.println(tabString+"<LegalId>"+legalId+"</LegalId>");
        out.println(tabString+"</OrganizationInfo>");

	/* AdminstratorInfo */

        out.println(tabString+"<AdministratorInfo><AdminFirstName>"+administratorFirstName+"</AdminFirstName>");
        out.println(tabString+"<AdminMiddleName>"+administratorMiddleName+"</AdminMiddleName>");
        out.println(tabString+"<AdminLastName>"+administratorLastName+"</AdminLastName></AdministratorInfo>");

	/* BusinessInfo */

        out.println(tabString+"<BusinessInfo><BusinessCategory>"+businessCategory+"</BusinessCategory>");
        out.println(tabString+"<DistinguishedName>"+dn+"</DistinguishedName>");
        out.println(tabString+"<Description>"+description+"</Description></BusinessInfo>");


	/* AddressInfo*/
        out.println(tabString+"<AddressInfo><AddressLine1>"+addressLine1+"</AddressLine1>");
        out.println(tabString+"<AddressLine2>"+addressLine2+"</AddressLine2>");
        out.println(tabString+"<City>"+city+"</City>");
        out.println(tabString+"<State>"+state+"</State>");
        out.println(tabString+"<ZipCode>"+zipCode+"</ZipCode>");
        out.println(tabString+"<Country>"+country+"</Country></AddressInfo>");


	/* ContactInfo*/
        out.println(tabString+"<ContactInfo><Telephone>"+telephone+"</Telephone>");
        out.println(tabString+"<Fax>"+fax+"</Fax>");
        out.println(tabString+"<Email>"+email+"</Email></ContactInfo>");

	/* UserData*/
        out.println(tabString+"<UserData></UserData>");


	// End of DataArea section and message
	
	out.print(tabString+"</Organization></DataArea></Create_WCS_Organization>");

 } catch (Exception e) {
        out.print("Exception => " + e);
}



%>
