<%
/*
 *----------------------------------------------------------------------
 * Licensed Materials - Property of IBM
 *
 * 5724-A18
 *
 * (c) Copyright International Business Machines Corporation. 2003,2004
 *     All rights reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 *
 *----------------------------------------------------------------------
 */

//*---------------------------------------------------------------------
//* The sample contained herein is provided to you "AS IS".
//*
//* It is furnished by IBM as a simple example and has not been  
//* thoroughly tested under all conditions.  IBM, therefore, cannot
//* guarantee its reliability, serviceability or functionality.  
//*
//* This sample may include the names of individuals, companies, brands 
//* and products in order to illustrate concepts as completely as 
//* possible.  All of these names are fictitious and any similarity
//* to the names and addresses used by actual persons or business
//* enterprises is entirely coincidental.
//*---------------------------------------------------------------------
//*
%><%@page import="java.util.*,com.ibm.commerce.utf.utils.*,com.ibm.commerce.utf.objects.*,com.ibm.commerce.user.objects.*,com.ibm.commerce.common.beans.*,com.ibm.commerce.usermanagement.commands.ECUserConstants,com.ibm.commerce.security.commands.ECSecurityConstants,com.ibm.commerce.user.beans.*,com.ibm.commerce.negotiation.beans.*,com.ibm.commerce.common.objects.*,com.ibm.commerce.member.helpers.*,com.ibm.commerce.negotiation.util.*,com.ibm.commerce.utf.utils.*,com.ibm.commerce.utf.beans.*,com.ibm.commerce.catalog.objects.*,com.ibm.commerce.contract.objects.*,com.ibm.commerce.user.objects.*,com.ibm.commerce.rfq.objects.*,java.text.*,java.sql.*" %><%! String tabString = "";String rfqId = "";%><%
out.println("<?xml version=\"1.0\" encoding=\"UTF-8\"?>");
out.println("<!DOCTYPE Request_WCS_Quote SYSTEM \"Request_WCS_ Quote.dtd\">");
out.println("<Request_WCS_Quote version=\"2.0\">");
out.println(tabString + "<ControlArea>");
out.println(tabString + tabString + "<Verb value=\"Create\"> </Verb>");
out.println(tabString + tabString + "<Noun value=\"Request_WCS_Quote\"> </Noun>");
%><%
rfqId = request.getParameter(UTFConstants.EC_RFQ_RFQID);
if( rfqId  == null || rfqId .equals("") ){
	rfqId = (String)request.getAttribute(UTFConstants.EC_RFQ_RFQID);   
}
com.ibm.commerce.utf.beans.RFQDataBean rfqdb = new com.ibm.commerce.utf.beans.RFQDataBean();
rfqdb.setRfqId(rfqId);
try {
String sMemberId = rfqdb.getMemberId();

UserRegistryAccessBean userRegAccBean = new UserRegistryAccessBean();
userRegAccBean.setInitKey_UserId(sMemberId);
userRegAccBean.refreshCopyHelper();
String userNickName = userRegAccBean.getLogonId();
AddressDataBean adb=new AddressDataBean();
adb.setMemberId(sMemberId );
adb.setNickName(userNickName);
adb.populate();
String strRFQId = request.getParameter(UTFConstants.EC_RFQ_RFQID);
String strAdminLogonId= request.getParameter(ECUserConstants.EC_MEMBERID);
String strAdminPassword=null;
String strRFQName = rfqdb.getName(); ;
String strRequestedDate=rfqdb.getActivateTime();
TradingDescriptionAccessBean tradDesAccBean = rfqdb.getDescription(new Integer(new String("-1")));

String rfqComments = tradDesAccBean.getLongDescription();
String projectName = tradDesAccBean.getShortDescription(); 
String strTitle=adb.getPersonTitle();
String strLastName = adb.getLastName();
String strFirstName = adb.getFirstName();
String strMiddleName= adb.getMiddleName();
String strTelephone= adb.getPhone1();
String strBestCallingTime= adb.getBestCallingTime();
String strFax= adb.getFax1();
String strEmail = adb.getEmail1();
String strOrganizationId = null;
String strOrganizationName = null;
String strOrganizationUnitId = null;
String strOrganizationUnitName= null;
MemberRelationshipsDataBean mbrreldb = new MemberRelationshipsDataBean ();
Enumeration enum = mbrreldb.findAncestors(new Long(sMemberId));
if(enum.hasMoreElements())
{
	MemberRelationshipsAccessBean mbrRelAccBean = (MemberRelationshipsAccessBean ) 	enum.nextElement();
	String orgentityId = mbrRelAccBean.getAncestorId();  // This is the orgentity id..
	OrganizationAccessBean orgacb = new OrganizationAccessBean();
	orgacb.setInitKey_MemberId(orgentityId );
	strOrganizationName =orgacb.getOrganizationName();
	strOrganizationId = orgentityId;
}
UserManageBean user = new UserManageBean();
	user.setInitKey(sMemberId);
	user.refreshCopyHelper();
	Long[] ancestors = user.getAncestors();
	if(ancestors != null) {
		OrgEntityManageBean org = new OrgEntityManageBean();
		org.setInitKey(ancestors[0].toString());
		org.refreshCopyHelper();
		strOrganizationName = org.getAttribute("displayName");
}
	java.sql.Timestamp activateTime = rfqdb.getActivateTimeInEJBType();
	response.setContentType("text/xml;charset=UTF-8");
	out.println(tabString + tabString + "<Credentials><LogonId>"+strAdminLogonId+"</LogonId>");
        out.println(tabString+tabString+"<Password>"+strAdminPassword+"</Password></Credentials>");
        out.println(tabString + "</ControlArea>");
	out.println(tabString + "<DataArea>");
                out.println(tabString + "<RFQ>");
      out.println(tabString + "<RFQId>"+strRFQId +"</RFQId>");
      out.println(tabString + "<UserId>"+sMemberId+"</UserId>");
      out.println(tabString + "<RFQName>"+strRFQName+"</RFQName>");
      out.println(tabString + "<RequestedDate>"+strRequestedDate+"</RequestedDate>");
      out.println(tabString + "<Comments>"+rfqComments +"</Comments>");
 	out.println(tabString + "<ProjectName>"+projectName+"</ProjectName>");	
      out.println(tabString + "<ContactInfo>");
        out.println(tabString + "<PersonName>");
          out.println(tabString + "<Title>"+strTitle+"</Title>");
          out.println(tabString + "<LastName>"+strLastName+"</LastName>");
          out.println(tabString + "<FirstName>"+strFirstName+"</FirstName>");
         out.println(tabString + " <MiddleName>"+userNickName+"</MiddleName>");
        out.println(tabString + "</PersonName>");
        out.println(tabString + "<Telephone publish=\"\" type=\"\">" + strTelephone + "</Telephone>");
        out.println(tabString + "<BestCallingTime>"+strBestCallingTime+"</BestCallingTime>");
        out.println(tabString + "<Fax>"+strFax+"</Fax>");
        out.println(tabString + "<Email>"+strEmail+"</Email>");
      out.println(tabString + "</ContactInfo>");
      out.println(tabString + "<Organization>");
       out.println(tabString + "<OrganizationId>"+strOrganizationId+"</OrganizationId>");
       out.println(tabString + "<OrganizationName>"+strOrganizationName+"</OrganizationName>");
       out.println(tabString + "<OrganizationUnitId>"+strOrganizationUnitId+"</OrganizationUnitId>");
       out.println(tabString + "<OrganizationUnitName>"+strOrganizationUnitName+"</OrganizationUnitName>");
     out.println(tabString + "</Organization>");
//out.println("start");
RFQProdDataBean rfqproddb= new RFQProdDataBean();
Enumeration enumProd = rfqproddb.findByRFQId(new Long(strRFQId ));

while(enumProd.hasMoreElements())
{
	RFQProdAccessBean rfqaccbean = (RFQProdAccessBean )enumProd.nextElement();
	String strProdName = rfqaccbean.getRfqProductName();
	// getrfqprodid
	String strProdId= rfqaccbean.getRfqprodId();
	// get the list of pattrvalues for rfqprodid
                  PAttrValueAccessBean rfqAttrValueBean = new PAttrValueAccessBean();
	Long lnprodId = new Long(strProdId);
	Enumeration enumProdAttr = rfqAttrValueBean.findByRFQProductId(lnprodId);
	StringBuffer nameValuePairs = new StringBuffer();
	while(enumProdAttr.hasMoreElements())
	{
	rfqAttrValueBean  =  (PAttrValueAccessBean)enumProdAttr.nextElement();
	String  pattrId = rfqAttrValueBean.getAttributeId(); 
	String pattrValue= (String) rfqAttrValueBean.getPAttrValue();
	PAttributeAccessBean rfqAttrBean = new PAttributeAccessBean();
	rfqAttrBean.setInitKey_referenceNumber(new Long(pattrId));
	String pattrName = rfqAttrBean.getName();
	nameValuePairs.append(pattrName+":"+pattrValue+";");
	}
	

                  // get the corresponding list of pattrnames refered in pattrvalue
	// combine them in a single string
	// set it and send it across.

	String strQty = rfqaccbean.getQuantity();
	String strCatEntryId= rfqaccbean.getCatentryId();

	ProductAccessBean proddb = new ProductAccessBean();

//	ProductAccessBean proddb1 = proddb.findByItem(new Long(rfqaccbean.getCatentryId()));
	ProductAccessBean proddb1 = proddb.findByItem(new Long(strCatEntryId));

	ItemAccessBean itemBean = new ItemAccessBean();
	itemBean.setInitKey_catalogEntryReferenceNumber(strCatEntryId);

	//if(enumProddata.hasMoreElements())
//	{
//	ProductAccessBean proddb1 = (ProductAccessBean)enumProddata.nextElement();
//	String strSKU =proddb1.getPartNumber();  //sku..
	String strSku =itemBean.getPartNumber(); 

	

	 CatalogEntryDescriptionAccessBean catentryaccbean= itemBean.getDescription(new Integer(new String("-1")));
	if(catentryaccbean != null)
{
	 String prodDesc = catentryaccbean.getShortDescription();	
	 String prodName = catentryaccbean.getName();
	// Additional info

	//String prodDesc = "temp";
out.println(tabString + "<RFQ_Items Product_Description= \""+prodDesc+"\" Product_Name=  \""+prodName+ "\" Quantity= \"" +strQty + "\" SKU= \"" +strSku+ "\" Comments=\""+nameValuePairs+"\"/>");
}
//}
}  //end of while
out.println(tabString + "</RFQ>");
out.println(tabString + "  </DataArea>");
out.println(tabString + "</Request_WCS_Quote>");
}catch(Exception exValues){System.out.println("Exception in RFQ Submit ######## "+ exValues.toString());}
%>