-- For Organization sync outbound

insert into CMDREG (STOREENT_ID,INTERFACENAME,DESCRIPTION,CLASSNAME,TARGET) values (0,'com.ibm.commerce.usermanagement.commands.PostOrgEntityAddCmd','Implementation to compose XML message to be sent over MQ transport','com.ibm.commerce.usermanagement.custom.commands.ExtendedPostOrgEntityAddCmdImpl','Local')

insert into VIEWREG (VIEWNAME,DEVICEFMT_ID,STOREENT_ID,INTERFACENAME,CLASSNAME,PROPERTIES,HTTPS,INTERNAL) values ('OrganizationCreateXMLFormatView',-3,0,'com.ibm.commerce.messaging.viewcommands.MessagingViewCommand','com.ibm.commerce.messaging.viewcommands.MessagingViewCommandImpl','docname=OrgEntityMessageCreate.jsp&storeDir=no',0,1)

insert into MSGTYPES (MSGTYPE_ID,MSGTDIR,NAME,VIEWNAME,DESCRIPTION) select coalesce(max(MSGTYPE_ID),0) + 1, 1,'OrganizationCreateXMLMessage','OrganizationCreateXMLFormatView','Create XML message representing Orgentity'  from msgtypes

-- For User sync outbound            

insert into CMDREG (STOREENT_ID,INTERFACENAME,DESCRIPTION,CLASSNAME,TARGET) values (0,'com.ibm.commerce.usermanagement.commands.PostUserRegistrationAddCmd','Implementation to compose XML message to be sent over MQ transport','com.ibm.commerce.usermanagement.custom.commands.ExtendedPostUserRegistrationAddCmdImpl','Local')

insert into VIEWREG (VIEWNAME,DEVICEFMT_ID,STOREENT_ID,INTERFACENAME,CLASSNAME,PROPERTIES,HTTPS,INTERNAL) values ('UserCreateXMLFormatView',-3,0,'com.ibm.commerce.messaging.viewcommands.MessagingViewCommand','com.ibm.commerce.messaging.viewcommands.MessagingViewCommandImpl','docname=CustomerMessageCreate.jsp&storeDir=no',0,1)

insert into MSGTYPES (MSGTYPE_ID,MSGTDIR,NAME,VIEWNAME,DESCRIPTION) select coalesce(max(MSGTYPE_ID),0) + 1, 1,'CustomerCreateXMLMessage','UserCreateXMLFormatView','Create XML message representing Customer'  from msgtypes

-- User and Organization sync inbound

update CMDREG set CLASSNAME = 'com.ibm.commerce.usermanagement.custom.commands.WrapperUserRegistrationAdminAddCmdImpl' where INTERFACENAME = 'com.ibm.commerce.usermanagement.commands.UserRegistrationAdminAddCmd'

update CMDREG set CLASSNAME = 'com.ibm.commerce.usermanagement.custom.commands.WrapperOrgEntityAddCmdImpl' where INTERFACENAME = 'com.ibm.commerce.usermanagement.commands.OrgEntityAddCmd'

insert into VIEWREG (VIEWNAME,DEVICEFMT_ID,STOREENT_ID,INTERFACENAME,CLASSNAME,PROPERTIES,HTTPS,INTERNAL) values ('OrganizationCreateXMLFormatView',-20000,0,'com.ibm.commerce.messaging.viewcommands.MessagingViewCommand','com.ibm.commerce.messaging.viewcommands.MessagingViewCommandImpl','docname=OrgEntityMessageCreate.jsp&storeDir=no',0,1)

insert into VIEWREG (VIEWNAME,DEVICEFMT_ID,STOREENT_ID,INTERFACENAME,CLASSNAME,PROPERTIES,HTTPS,INTERNAL) values ('UserCreateXMLFormatView',-20000,0,'com.ibm.commerce.messaging.viewcommands.MessagingViewCommand','com.ibm.commerce.messaging.viewcommands.MessagingViewCommandImpl','docname=CustomerMessageCreate.jsp&storeDir=no',0,1)

-- Purchae Order XML message outbound

update CMDREG set CLASSNAME = 'com.ibm.commerce.messaging.commands.SendXMLOrderCmdImpl' where INTERFACENAME = 'com.ibm.commerce.order.commands.OrderMessagingCmd'


